## r-cran-stanheaders 2.18.1

=== DESCRIPTION ===
Package: StanHeaders
Date: 2019-01-28
Title: C++ Header Files for Stan
Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
             person("Joshua", "Pritikin", role = "ctb"),
             person("Andrew", "Gelman", role = "aut"),
             person("Bob", "Carpenter",  role = "aut"),
             person("Matt", "Hoffman", role = "aut"),
             person("Daniel", "Lee", role = "aut"),
             person("Michael", "Betancourt", role = "aut"),
             person("Marcus", "Brubaker", role = "aut"),
             person("Jiqiang", "Guo", role = "aut"),
             person("Peter", "Li", role = "aut"),
             person("Allen", "Riddell", role = "aut"),
             person("Marco", "Inacio", role = "aut"),
             person("Mitzi", "Morris", role = "aut"),
             person("Jeffrey", "Arnold", role = "aut"),
             person("Rob", "Goedman", role = "aut"),
             person("Brian", "Lau", role = "aut"),
             person("Rob", "Trangucci", role = "aut"),
             person("Jonah", "Gabry", role = "aut"),
             person("Alp", "Kucukelbir", role = "aut"),
             person("Robert", "Grant", role = "aut"),
             person("Dustin", "Tran", role = "aut"),
             person("Michael", "Malecki", role = "aut"),
             person("Yuanjun", "Gao", role = "aut"),
             person("Trustees of", "Columbia University", role = "cph"),
             person("Lawrence Livermore", "National Security", role = "cph", comment = "CVODES"),
             person("The Regents of the", "University of California", role = "cph", comment = "CVODES"),
             person("Southern Methodist", "University", role = "cph", comment = "CVODES"))
URL: http://mc-stan.org/
Description: The C++ header files of the Stan project are provided by this package, but it contains no R code or function documentation. There is a shared object containing part of the 'CVODES' library, but it is not accessible from R. 'StanHeaders' is only useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
Suggests: Rcpp, RcppEigen, BH (>= 1.69.0), knitr (>= 1.15.1), rmarkdown
VignetteBuilder: knitr
SystemRequirements: pandoc
Depends: R (>= 3.4.0)
Version: 2.18.1
License: BSD_3_clause + file LICENSE
NeedsCompilation: yes
Packaged: 2019-01-28 22:43:50 UTC; goodrich
Author: Ben Goodrich [cre, aut],
  Joshua Pritikin [ctb],
  Andrew Gelman [aut],
  Bob Carpenter [aut],
  Matt Hoffman [aut],
  Daniel Lee [aut],
  Michael Betancourt [aut],
  Marcus Brubaker [aut],
  Jiqiang Guo [aut],
  Peter Li [aut],
  Allen Riddell [aut],
  Marco Inacio [aut],
  Mitzi Morris [aut],
  Jeffrey Arnold [aut],
  Rob Goedman [aut],
  Brian Lau [aut],
  Rob Trangucci [aut],
  Jonah Gabry [aut],
  Alp Kucukelbir [aut],
  Robert Grant [aut],
  Dustin Tran [aut],
  Michael Malecki [aut],
  Yuanjun Gao [aut],
  Trustees of Columbia University [cph],
  Lawrence Livermore National Security [cph] (CVODES),
  The Regents of the University of California [cph] (CVODES),
  Southern Methodist University [cph] (CVODES)
Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
Repository: CRAN
Date/Publication: 2019-01-28 23:30:03 UTC
