## r-cran-stanheaders 2.17.2

=== debian/changelog ===
r-cran-stanheaders (2.17.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 23 Sep 2018 07:45:51 +0200

r-cran-stanheaders (2.17.2-1) unstable; urgency=medium

  * Initial release (closes: #898704)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 12:51:27 +0200
