=== debian/control ===
Source: r-cran-stanheaders
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
Homepage: https://cran.r-project.org/package=StanHeaders

Package: r-cran-stanheaders
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: C++ Header Files for Stan for GNU R
 The C++ header files of the Stan project are provided by this package,
 but it contains no R code, vignettes, or function documentation. There
 is a shared object containing part of the 'CVODES' library, but it is
 not accessible from R. 'StanHeaders' is only useful for developers who
 want to utilize the 'LinkingTo' directive of their package's DESCRIPTION
 file to build on the Stan library without incurring unnecessary
 dependencies. The Stan project develops a probabilistic programming
 language that implements full or approximate Bayesian statistical
 inference via Markov Chain Monte Carlo or 'variational' methods and
 implements (optionally penalized) maximum likelihood estimation via
 optimization. The Stan library includes an advanced automatic
 differentiation scheme, 'templated' statistical and linear algebra
 functions that can handle the automatically 'differentiable' scalar
 types (and doubles, 'ints', etc.), and a parser for the Stan language.
 The 'rstan' package provides user-facing R functions to parse, compile,
 test, estimate, and analyze Stan models.
