## r-cran-stanheaders 2.18.1

=== debian/changelog ===
r-cran-stanheaders (2.18.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 10:47:09 +0100

r-cran-stanheaders (2.18.0-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 10:50:37 +0100

r-cran-stanheaders (2.18.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 12 Oct 2018 07:50:48 +0200
