## r-cran-stanheaders 2.18.1-10

=== debian/changelog ===
r-cran-stanheaders (2.18.1-10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 09:00:01 +0200
