## r-cran-stanheaders 2.21.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: StanHeaders
-Date: 2019-01-28
+Date: 2020-12-16
 Title: C++ Header Files for Stan
 Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
              person("Joshua", "Pritikin", role = "ctb"),
@@ -28,16 +28,19 @@
              person("Lawrence Livermore", "National Security", role = "cph", comment = "CVODES"),
              person("The Regents of the", "University of California", role = "cph", comment = "CVODES"),
              person("Southern Methodist", "University", role = "cph", comment = "CVODES"))
-URL: http://mc-stan.org/
-Description: The C++ header files of the Stan project are provided by this package, but it contains no R code or function documentation. There is a shared object containing part of the 'CVODES' library, but it is not accessible from R. 'StanHeaders' is only useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
-Suggests: Rcpp, RcppEigen, BH (>= 1.69.0), knitr (>= 1.15.1), rmarkdown
+URL: https://mc-stan.org/
+Description: The C++ header files of the Stan project are provided by this package, but it contains little R code or documentation. The main reference is the vignette. There is a shared object containing part of the 'CVODES' library, but its functionality is not accessible from R. 'StanHeaders' is primarily useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
+Imports: RcppParallel (>= 5.0.1)
+Suggests: Rcpp, BH, knitr (>= 1.15.1), rmarkdown, Matrix, methods,
+        rstan
+LinkingTo: RcppEigen, RcppParallel (>= 5.0.1)
 VignetteBuilder: knitr
 SystemRequirements: pandoc
 Depends: R (>= 3.4.0)
-Version: 2.18.1
+Version: 2.21.0-7
 License: BSD_3_clause + file LICENSE
 NeedsCompilation: yes
-Packaged: 2019-01-28 22:43:50 UTC; goodrich
+Packaged: 2020-12-17 04:06:13 UTC; ben
 Author: Ben Goodrich [cre, aut],
   Joshua Pritikin [ctb],
   Andrew Gelman [aut],
@@ -67,4 +70,4 @@
   Southern Methodist University [cph] (CVODES)
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2019-01-28 23:30:03 UTC
+Date/Publication: 2020-12-17 07:30:02 UTC
