## r-cran-stanheaders 2.21.0-1

=== debian/changelog ===
r-cran-stanheaders (2.21.0-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 21:37:41 +0100

r-cran-stanheaders (2.19.0-1) unstable; urgency=medium

  * New upstream version
  * Check autopkgtest but libboost 1.69 is needed which is not available yet

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 13:01:49 +0200

r-cran-stanheaders (2.18.1-10-2) unstable; urgency=medium

  * Provide headers in /usr/include
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 09:02:06 +0200
