=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev
-Standards-Version: 4.3.0
+               r-base-dev,
+               r-cran-rcppeigen
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders
