## r-cran-stanheaders 2.21.0-5+really2.21.0-1

=== debian/changelog ===
r-cran-stanheaders (2.21.0-5+really2.21.0-1-0ubuntu1) groovy; urgency=medium

  * Revert to upstream version 2.21.0-1
    Upstream changes between 2.21.0-1 and 2.21.0-3 apparently broke several
    reverse dependencies (Closes: #962794)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 19 Jun 2020 23:52:36 +0200

r-cran-stanheaders (2.21.0-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jun 2020 08:21:40 +0200

r-cran-stanheaders (2.21.0-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Jun 2020 07:49:19 +0200
