## r-cran-stanheaders 2.21.0-7

=== debian/changelog ===
r-cran-stanheaders (2.21.0-7-2) unstable; urgency=medium

  * Team Upload.
  * Versioned B-D on r-cran-rcppparallel
  * Cherry-pick patch from stan math upstream to make it
    compatible with new oneTBB API

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 01:12:11 +0530

r-cran-stanheaders (2.21.0-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:57:52 +0100

r-cran-stanheaders (2.21.0-6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 07 Sep 2020 12:46:04 +0200
