=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-stanheaders
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -8,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcppparallel,
+               r-cran-rcppparallel (>= 5.1.5+dfsg-3~),
                r-cran-rcppeigen
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders
