=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/StanHeaders_([-\d.]*)\.tar\.gz
