## r-cran-stanheaders 2.32.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: StanHeaders
-Date: 2020-12-16
 Title: C++ Header Files for Stan
+Version: 2.32.5
 Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
              person("Joshua", "Pritikin", role = "ctb"),
              person("Andrew", "Gelman", role = "aut"),
@@ -24,23 +24,27 @@
              person("Dustin", "Tran", role = "aut"),
              person("Michael", "Malecki", role = "aut"),
              person("Yuanjun", "Gao", role = "aut"),
+             person("Hamada S.", "Badr", role = c("aut"),
+                    email = "badr@jhu.edu",
+                    comment = c(ORCID = "0000-0002-9808-2344")),
              person("Trustees of", "Columbia University", role = "cph"),
              person("Lawrence Livermore", "National Security", role = "cph", comment = "CVODES"),
              person("The Regents of the", "University of California", role = "cph", comment = "CVODES"),
              person("Southern Methodist", "University", role = "cph", comment = "CVODES"))
 URL: https://mc-stan.org/
 Description: The C++ header files of the Stan project are provided by this package, but it contains little R code or documentation. The main reference is the vignette. There is a shared object containing part of the 'CVODES' library, but its functionality is not accessible from R. 'StanHeaders' is primarily useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
-Imports: RcppParallel (>= 5.0.1)
-Suggests: Rcpp, BH, knitr (>= 1.15.1), rmarkdown, Matrix, methods,
-        rstan
-LinkingTo: RcppEigen, RcppParallel (>= 5.0.1)
+Imports: RcppParallel (>= 5.1.4)
+Suggests: Rcpp, BH (>= 1.75.0-0), knitr (>= 1.36), rmarkdown, Matrix,
+        methods, rstan, withr
+LinkingTo: RcppEigen (>= 0.3.3.9.3), RcppParallel (>= 5.1.4)
 VignetteBuilder: knitr
-SystemRequirements: pandoc
+SystemRequirements: GNU make, pandoc
 Depends: R (>= 3.4.0)
-Version: 2.21.0-7
 License: BSD_3_clause + file LICENSE
+Encoding: UTF-8
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2020-12-17 04:06:13 UTC; ben
+Packaged: 2024-01-09 19:24:53 UTC; ben
 Author: Ben Goodrich [cre, aut],
   Joshua Pritikin [ctb],
   Andrew Gelman [aut],
@@ -64,10 +68,11 @@
   Dustin Tran [aut],
   Michael Malecki [aut],
   Yuanjun Gao [aut],
+  Hamada S. Badr [aut] (<https://orcid.org/0000-0002-9808-2344>),
   Trustees of Columbia University [cph],
   Lawrence Livermore National Security [cph] (CVODES),
   The Regents of the University of California [cph] (CVODES),
   Southern Methodist University [cph] (CVODES)
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2020-12-17 07:30:02 UTC
+Date/Publication: 2024-01-10 11:43:07 UTC
