=== debian/changelog ===
r-cran-stanheaders (2.32.5-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 14:35:20 +0100

r-cran-stanheaders (2.26.28-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1046277
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2023 11:54:00 +0100

r-cran-stanheaders (2.26.28-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * Add some upstream metadata

  [ Nilesh Patra ]
  * Re-instantiate previous patch properly
    (Closes: #1052750, #1052734, #1052726)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 Oct 2023 00:24:28 +0530

r-cran-stanheaders (2.26.28-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2023 12:16:15 +0200
