=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-stanheaders
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
+Homepage: https://cran.r-project.org/package=StanHeaders
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcppparallel (>= 5.1.5+dfsg-3~),
-               r-cran-rcppeigen
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
-Homepage: https://cran.r-project.org/package=StanHeaders
-Rules-Requires-Root: no
+               r-cran-rcppparallel (>= 5.1.4),
+               r-cran-rcppeigen (>= 0.3.3.9.3)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-stanheaders
 Architecture: any
