=== debian/changelog ===
r-cran-stanheaders (2.32.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 08:38:33 +0900
