=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcppparallel (>= 5.1.4),
-               r-cran-rcppeigen (>= 0.3.3.9.3)
+               r-cran-rcppeigen (>= 0.3.4.0.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-stanheaders
