=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rcpp,
        r-cran-bh (>= 1.75.0-0),
        r-cran-knitr (>= 1.36),
        r-cran-rmarkdown,
        r-cran-matrix,
        r-cran-rstan,
        r-cran-withr
Restrictions: allow-stderr
